import request from '@/utils/request';


// 查询产品统计
export function selectDashBoardDeviceStatistic() {
    return request({
        url: '/iot/device/dashBoard/statistic',
        method: 'get'
    });
}

// 查询产品统计
export function selectDashBoardFunctionStatistic() {
    return request({
        url: '/iot/device/dashBoard/functionStatistic',
        method: 'get'
    });
}

// 查询昨日设备消息总数
export function selectDeviceLogYesterdayCount() {
    return request({
        url: '/iot/device/dashBoard/deviceLogYesterdayCount',
        method: 'get'
    });
}

// 查询设备消息统计信息
export function selectDeviceLogDeviceLogStatistic(data) {
    return request({
        url: '/iot/device/dashBoard/deviceLogStatistic',
        method: 'post',
        data: data
    });
}

// 查询设备消息最近一小时统计信息
export function selectDeviceLogDeviceLogAnHourStatistic(data) {
    return request({
        url: '/iot/device/dashBoard/deviceLogAnHourStatistic',
        method: 'post',
        data: data
    });
}